﻿using System.Collections.Generic;

namespace Katteker
{
    public class UpdateInfo
    {
        public ReleaseEntry CurrentlyInstalledVersion { get; }

        public List<ReleaseEntry> ReleasesToApply { get; } = new List<ReleaseEntry>();

        public UpdateInfo(string applicationName, Releases releases)
        {
            CurrentlyInstalledVersion = new ReleaseEntry(applicationName, VersionExtension.GetCurrentVersion);
            foreach (var release in releases)
            {
                if (applicationName.Equals(release.ApplicationName) && release.Version > CurrentlyInstalledVersion.Version)
                {
                    ReleasesToApply.Add(release);
                }
            }
        }
    }
}